#ifndef _TWI_H__
#define _TWI_H__

#include <avr/io.h>
#include <util/twi.h>

#ifndef	F_CPU
	#define F_CPU 14745600UL
#endif

/** defines the data direction (reading from I2C device) in i2c_start(),i2c_rep_start() */
#define I2C_READ    1

/** defines the data direction (writing to I2C device) in i2c_start(),i2c_rep_start() */
#define I2C_WRITE   0


#define	SCL_CLOCK	100000L

// SCL f = F_CPU / (16 + 2 * (TWBR) * 4 ^ TWPS)
// TWBR = TWI bit rate register
// TWPS = prescaler TWI status register

#define	TWI_TWBR 0x02

// TWI defines

#define		TWI_START			TWCR = (1 << TWINT) | (1 << TWSTA) | (1 << TWEN) | (1 << TWIE)

#define		TWI_CLEAR_TWINT_EN	TWCR |= (1 << TWINT) | (1 << TWEN)

// function prototypes

void InitTWI ();

#endif
