/************************************************************************/
/* RS - 232 PORT HEADER 												*/
/* 25.06.06 M. Kriegel													*/
/************************************************************************/

#ifndef __USART_H__
#define __USART_H__

#include <avr/io.h>
#include "watchdog.h"

#define F_OSC 14745600		           /* oscillator-frequency in Hz */
#define UART_BAUD_RATE 115200
#define UART_BAUD_CALC(UART_BAUD_RATE,F_OSC) ((F_OSC)/((UART_BAUD_RATE)*16l)-1)

// Functions

// Init RS - 232 PORT
void Init_UART(void);

// Write character on RS - 232 PORT
void uart_putc(unsigned char c);

void uart_puts (unsigned char * ch);

void CheckForReboot (uint8_t ch);

#endif
