#include "main.h"


/*******************************************************************************************************************/
ISR (USART_RXC_vect)
{
	uint8_t ch = UDR;

	CheckForReboot (ch);
}

/*******************************************************************************************************************/
ISR (TWI_vect)
{
}

/*******************************************************************************************************************/
void wait (uint32_t	ws)
{
	while (ws-- > 0)
		asm volatile ("nop");
}

void out_16 (int16_t value)
{
	if (value < 0)
	{
		uart_putc ('-');
		value = -value;
	}
	else
		uart_putc ('+');

	uart_putc (0x30 +  value / 10000);
	uart_putc (0x30 + (value % 10000) / 1000);
	uart_putc (0x30 + (value % 1000) / 100);
	uart_putc (0x30 + (value % 100) / 10);
	uart_putc (0x30 +  value % 10);
	uart_putc (' ');
}

/*******************************************************************************************************************/
int main ()
{
	int16_t	acc[3] = { 0 };

	DisableWatchDog ();

	DDRB = 0xFF;
	DDRC = 0x00;
	PORTC = 0xFF;

	Init_UART ();

	sei ();

	i2c_init ();

	uart_puts ((uint8_t *) "LIS3LV02DQ TESTING ...\n");

	LIS3L_Enable ();
	LIS3L_WhoAmI ();


	for (;;)
	{
		LIS3L_GetXYZ (&acc[0], &acc[1], &acc[2]);
		uart_putc (0xFF);
		uart_putc (0xFE);
		uart_putc (acc[0] >> 8);
		uart_putc (acc[0]);
		uart_putc (acc[1] >> 8);
		uart_putc (acc[1]);
		uart_putc (acc[2] >> 8);
		uart_putc (acc[2]);
		//out_16 (acc[0]);
		//out_16 (acc[1]);
		//out_16 (acc[2]);
		//uart_putc ('\n');

		PORTB ^= (1 << PB0);

		wait (100000);
	}
}




















